Subject: Re: [PATCH 0/2] give range-diff at the end of single patch output

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 May 2024 16:25:55 -0700

Dragan Simic <[email-masked]> writes:

> Hmm...  I think this should be made configurable, with the current
> behavior being the default.  Without that, we could easily disrupt
> many people's workflows, because the power of "muscle memory" is
> often really strong.

I would view this more like "Porcelain layers reserve the right to
change the behaviour to suit human-end-user needs, without having to
complicate the system with extra configuration knobs."

But if other people want to do a follow-up patch to cleanly add such
a configuration, I would not object to it.  The main desire of this
patch is *not* to make the option to have range-diff at the end of a
single patch "series" available, but to make that the default.

Thanks.